Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jdbc
Class JdbcBeanUtil

    java.lang.Object
      |
      +--org.w3c.tools.jdbc.JdbcBeanUtil

public class JdbcBeanUtil
extends java.lang.Object

Constructor Summary
`JdbcBeanUtil()`

Method Summary
`static void` | `generateJdbcBeans(java.lang.String uri, java.lang.String driver, java.lang.String user, java.lang.String password, java.lang.String outputDir)`
`static void` | `initializeBean(JdbcBeanInterface father, JdbcBeanInterface child, java.lang.String jdbcTable)` Copy the following list of properties in the given bean and set the jdbcTable properties jdbcURI jdbcDriver jdbcUser jdbcPassword
`static boolean` | `isIn(java.lang.String string, java.lang.String[] array)`
`static boolean` | `isJdbcBean(java.lang.Class c)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcBeanUtil

    public JdbcBeanUtil()

Method Detail

### initializeBean

    public static void initializeBean(JdbcBeanInterface father,
                                      JdbcBeanInterface child,
                                      java.lang.String jdbcTable)

  Copy the following list of properties in the given bean and set the jdbcTable properties
  - jdbcURI
  - jdbcDriver
  - jdbcUser
  - jdbcPassword

  Parameters:
    `father` - the source bean
    `child` - the bean to initialize
    `jdbcTable` - the SQL table name

### isJdbcBean

    public static boolean isJdbcBean(java.lang.Class c)

### isIn

    public static boolean isIn(java.lang.String string,
                               java.lang.String[] array)

### generateJdbcBeans

    public static void generateJdbcBeans(java.lang.String uri,
                                         java.lang.String driver,
                                         java.lang.String user,
                                         java.lang.String password,
                                         java.lang.String outputDir)
                                  throws java.sql.SQLException

    `java.sql.SQLException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD